//User Prefs Consts
const wxBugZCode = 'Z5731';
const wxBugDefaultZipCode = '94043';
const wxBugDefaultStationId = 'CESSC';
const wxBugAppVersion = '1.1.0.0';
const wxBugAppName = 'FfExt';

const wxBugPrefUnits = 'Units';
const wxBugPrefZipCode = 'ZipCode';
const wxBugPrefCityCode = 'CityCode';
const wxBugPrefAlertMsgId = 'AlertMsgId';
const wxBugPrefAlertAckMsgId = 'AlertAckMsgId'
const wxBugPrefAlertActive = 'AlertActive';
const wxBugPrefUserId = 'Uid';
const wxBugPrefCityName = 'CityName';
const wxBugPrefCountry = 'Country';
const wxBugPrefState = 'State';
const wxBugPrefAlertsMode = 'AlertsMode';
const wxBugPrefStationId = 'StationId';
const wxBugPrefAlertUrl = 'AlertUrl';
const wxBugPrefAlertInterval = 'AlertInter';
const wxBugPrefAlertLastUpdate = 'AlertLastUp';
const wxBugPrefAlertRes = 'AlertRes';
const wxBugPrefObsUrl = 'ObsUrl';
const wxBugPrefObsWorldUrl = 'ObsWorldUrl';
const wxBugPrefObsInterval = 'ObsInter';
const wxBugPrefObsLastUpdate = 'ObsLastUp';
const wxBugPrefObsRes = 'ObsRes';
const wxBugPrefForecastUrl = 'ForeUrl';
const wxBugPrefForecastInterval = 'ForeInter';
const wxBugPrefForecastLastUpdate = 'ForeLastUp';
const wxBugPrefForecastRes = 'ForeRes';
const wxBugPrefBodyUrl = 'BodyUrl';
const wxBugPrefBodyAlertUrl = 'BodyAlertUrl';
const wxBugPrefLocationUrl = 'LocationUrl';
const wxBugPrefStationUrl = 'StationUrl';
const wxBugPrefTemper = 'Temper';
const wxBugPrefZCode = 'ZCode';
const wxBugPrefWebWxAlert = 'WebWxAlert';
const wxBugPrefWebWxLocal = 'WebWxLocal';
const wxBugPrefWebWxWorld = 'WebWxWorld';
const wxBugPrefOverlayEnabled = 'OverlayEnabled';
const wxBugPrefPlacement = 'Placement';
const wxBugPrefLoggingEnabled = 'lg';
const wxBugPrefWxWinWidth = 'WxWinWidth';
const wxBugPrefWxWinHeight = 'WxWinHeight';
const defaultWidth = 100;
const defaultHeight = 50;



//User Prefs
const wxBugPrefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
const wxBugPrefBranchName = 'WeatherBug.';
const wxBugPrefBranch = wxBugPrefService.getBranch(wxBugPrefBranchName);

//User Prefs Bool
function wxBugGetBoolPref (prefName) {
	return wxBugGetBoolPref (prefName, null);
}

function wxBugGetBoolPref (prefName, defaultVal) {
	if(wxBugPrefBranch.prefHasUserValue(prefName))
	   return wxBugPrefBranch.getBoolPref(prefName);	
	else
		return defaultVal;
}

function wxBugSetBoolPref (prefName, prefVal) {
	return wxBugPrefBranch.setBoolPref(prefName, prefVal);
}

//User Prefs Int
function wxBugGetIntPref (prefName) {
	return wxBugGetIntPref (prefName, null);
}

function wxBugGetIntPref (prefName, defaultVal) {
	if(wxBugPrefBranch.prefHasUserValue(prefName))
	   return wxBugPrefBranch.getIntPref(prefName);	
	else
		return defaultVal;
}

function wxBugSetIntPref (prefName, prefVal) {
	return wxBugPrefBranch.setIntPref(prefName, prefVal);
}

//User Prefs Char
function wxBugGetCharPref (prefName) {
	return wxBugGetCharPref (prefName, null);
}

function wxBugGetCharPref (prefName, defaultVal) {
	if(wxBugPrefBranch.prefHasUserValue(prefName))
	   return wxBugPrefBranch.getCharPref(prefName);	
	else
		return defaultVal;
}

function wxBugSetCharPref (prefName, prefVal) {
	return wxBugPrefBranch.setCharPref(prefName, prefVal);
}
